# -*- coding: UTF-8 -*-

def _(arg):
    return arg


# Add-on information variables
addon_info = {
    "addon_name": "ChimegeSonur",
    "addon_summary": _("ChimegeSonur NVDA Addon"),
    "addon_description": _("""A Mongolian speech synthesizer."""),
    "addon_version": "1.0.3",
    # Author(s)
    "addon_author": "Chimege Systems",
    "addon_url": "https://chimege.com/",
    "addon_docFileName": "readme.html",
    "addon_minimumNVDAVersion": "2022.1.0",
    "addon_lastTestedNVDAVersion": "2022.1.0",
    "addon_updateChannel": None,
}

# https://scons.org/doc/production/HTML/scons-user/apd.html
pythonSources = ["addon/globalPlugins/ChimegeSonur_globalPlugin.py", "addon/synthDrivers/ChimegeSonur/__init__.py"]
# Files that contain strings for translation. Usually your python sources
i18nSources = pythonSources + ["buildVars.py"]

# Files that will be ignored when building the nvda-addon file
# Paths are relative to the addon directory, not to the root directory of your addon sources.
excludedFiles = [
    'synthDrivers/backup_multilingual.py',
    'synthDrivers/backup_rhvoice.py',
    'synthDrivers/backup_vocalizer.py',
    'synthDrivers/ChimegeSonur/synthDriverHandler.py'
]

# Base language for the NVDA add-on
# If your add-on is written in a language other than english, modify this variable.
# For example, set baseLanguage to "es" if your add-on is primarily written in spanish.
baseLanguage = "en"

# Markdown extensions for add-on documentation
# Most add-ons do not require additional Markdown extensions.
# If you need to add support for markup such as tables, fill out the below list.
# Extensions string must be of the form "markdown.extensions.extensionName"
# e.g. "markdown.extensions.tables" to add tables.
markdownExtensions = []
